;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                     ;;;
;;;                     Carnegie Mellon University                      ;;;
;;;                  and Alan W Black and Kevin Lenzo                   ;;;
;;;                      Copyright (c) 1998-2000                        ;;;
;;;                        All Rights Reserved.                         ;;;
;;;                                                                     ;;;
;;; Permission is hereby granted, free of charge, to use and distribute ;;;
;;; this software and its documentation without restriction, including  ;;;
;;; without limitation the rights to use, copy, modify, merge, publish, ;;;
;;; distribute, sublicense, and/or sell copies of this work, and to     ;;;
;;; permit persons to whom this work is furnished to do so, subject to  ;;;
;;; the following conditions:                                           ;;;
;;;  1. The code must retain the above copyright notice, this list of   ;;;
;;;     conditions and the following disclaimer.                        ;;;
;;;  2. Any modifications must be clearly marked as such.               ;;;
;;;  3. Original authors' names are not deleted.                        ;;;
;;;  4. The authors' names are not used to endorse or promote products  ;;;
;;;     derived from this software without specific prior written       ;;;
;;;     permission.                                                     ;;;
;;;                                                                     ;;;
;;; CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK        ;;;
;;; DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING     ;;;
;;; ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT  ;;;
;;; SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE     ;;;
;;; FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES   ;;;
;;; WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN  ;;;
;;; AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,         ;;;
;;; ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF      ;;;
;;; THIS SOFTWARE.                                                      ;;;
;;;                                                                     ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Phonset for hpl_hindi
;;; AUTHOR - Kalika Bali

;;;  Feeel free to add new feature values, or new features to this
;;;  list to make it more appropriate to your language

;; This is where it'll fall over if you haven't defined a 
;; a phoneset yet, if you have, delete this, if you haven't
;; define one then delete this error message
;(error "You have not yet defined a phoneset for Hindi (and others things ?)\n            Define it in festvox/hpl_hindi_phoneset.scm\n")

(defPhoneSet
  hpl_hindi
  ;;;  Phone Features
  
;;; Phone Features
  (;; vowel or consonant
    ( vc + -)
   ;; vowel length: short, long, dipthong, schwa
    ( vlng s l d a 0)
   ;; vowel height: high mid-high mid mid-low low
    ( vheight 1 2 3 4 5 0)
   ;; vowel frontness: front mid back
    ( vfront 1 2 3 0)
   ;; vowel nasalization
    ( vn + - 0)
   ;; lip rounding
    (vrnd + - 0)
   ;; consonant type: stop fricative affricate nasal glide taps flaps laterals
     (ctype s f a n g t r l 0)
   ;; place of articulation: labial dental alveolar retroflex palatal velar uvular)
     (cplace l d a r p v u 0)
   ;; consonant voicing
     (cvox + - 0)
   ;; consonant length: geminates
     (clong + - 0)
   ;; consonant aspiration
     (casp + - 0)
)

  (
   ;(SIL  - 0 - - - 0 0 -)  ;; slience ... 

   ;; insert the phones here, see examples in 
   ;; festival/lib/*_phones.scm






;; vowels
 (a  +    a    2    2    -    -    0    0    0    0    0)
 (A  +    l    5    2    -    -    0    0    0    0    0)
 (I  +    s    2    1    -    -    0    0    0    0    0)
 (i  +    l    1    1    -    -    0    0    0    0    0)
 (U  +    s    2    3    -    +    0    0    0    0    0)
 (u  +    l    1    3    -    +    0    0    0    0    0)
 (e  +    l    3    1    -    -    0    0    0    0    0)
 (E  +    s    4    1    -    -    0    0    0    0    0)
 (O  +    s    4    3    -    +    0    0    0    0    0)
 (o  +    l    3    3    -    +    0    0    0    0    0)
 (an +    a    2    2    +    -    0    0    0    0    0)
 (An +    l    5    2    +    -    0    0    0    0    0)
 (In +    s    2    1    +    -    0    0    0    0    0)
 (in +    l    1    1    +    -    0    0    0    0    0)
 (Un +    s    2    3    +    +    0    0    0    0    0)
 (un +    l    1    3    +    +    0    0    0    0    0)
 (en +    l    3    1    +    -    0    0    0    0    0)
 (En +    s    4    1    +    -    0    0    0    0    0)
 (On +    s    4    3    +    +    0    0    0    0    0)
 (on +    l    3    3    +    +    0    0    0    0    0)
;; loan vowel used in loan vocabulary, as in the English "bat"
 ;(ae +    l    5    1    -    -    0    0    0    0    0)
;; These dipthongs are allophones of 'E' and 'O' and are phonetically conditioned.
 (ae +    d    0    1    -    -    0    0    0    0    0)
 (au +    d    0    3    -    +    0    0    0    0    0)
;; consonants
 (p  -    0    0    0    0    0    s    l    -    -    -)
 (pl -    0    0    0    0    0    s    l    -    +    -)
 (ph -    0    0    0    0    0    s    l    -    -    +)
 (plh -    0    0    0    0    0    s    l    -    +    +)
 (b  -    0    0    0    0    0    s    l    +    -    -)
 (bl -    0    0    0    0    0    s    l    +    +    -)
 (bh -    0    0    0    0    0    s    l    +    -    +)
 (t  -    0    0    0    0    0    s    d    -    -    -)
 (tl -    0    0    0    0    0    s    d    -    +    -)
 (th -    0    0    0    0    0    s    d    -    -    +)
 (tlh -    0    0    0    0    0    s    d    -    +    +)
 (d  -    0    0    0    0    0    s    d    +    -    -)
 (dl -    0    0    0    0    0    s    d    +    +    -)
 (dh -    0    0    0    0    0    s    d    +    -    +)
 (dlh -    0    0    0    0    0    s    d    +    +    +)
 (T  -    0    0    0    0    0    s    r    -    -    -)
 (Tl -    0    0    0    0    0    s    r    -    +    -)
 (Th -    0    0    0    0    0    s    r    -    -    +)
 (Tlh -    0    0    0    0    0    s    r    -    +    +)
 (D  -    0    0    0    0    0    s    r    +    -    -)
 (Dl -    0    0    0    0    0    s    r    +    +    -)
 (Dh -    0    0    0    0    0    s    r    +    -    +)
 (Dlh -    0    0    0    0    0    s    r    +    +    +)
 (k  -    0    0    0    0    0    s    v    -    -    -)
 (kl -    0    0    0    0    0    s    v    -    +    -)
 (kh -    0    0    0    0    0    s    v    -    -    +)
 (klh -    0    0    0    0    0    s    v    -    +    +)
 (g  -    0    0    0    0    0    s    v    +    -    -)
 (gl -    0    0    0    0    0    s    v    +    +    -)
 (gh -    0    0    0    0    0    s    v    +    -    +)
 (glh   -    0    0    0    0    0    s    v    +    +    +)
 (c  -    0    0    0    0    0    a    p    -    -    -)
 (cl -    0    0    0    0    0    a    p    -    +    -)
 (ch -    0    0    0    0    0    a    p    -    -    +)
 (clh -    0    0    0    0    0    a    p    -    +    +)
 (j  -    0    0    0    0    0    a    p    +    -    -)
 (jl -    0    0    0    0    0    a    p    +    +    -)
 (jh -    0    0    0    0    0    a    p    +    -    +)
 (jlh   -    0    0    0    0    0    a    p    +    +    +)
;; I have not included retroflex fricative because it is now almost always replaced by 
;; palatal fricative even in careful speech.
 (s  -    0    0    0    0    0    f    a    -    -    0)
 (sl -    0    0    0    0    0    f    a    -    +    0)
 (S  -    0    0    0    0    0    f    p    -    -    0)
;; h is marked here as voiceless but can be voiceless or voiced intervocalically
 (h  -    0    0    0    0    0    f    u    -    -    +)
;; loan fricatives that are found in the vocab. of perso-arabic and english origin
 (f  -    0    0    0    0    0    f    l    -    -    0)
 (z  -    0    0    0    0    0    f    a    +    -    0)
;;
 (m  -    0    0    0    0    0    n    l    +    -    -)
 (ml -    0    0    0    0    0    n    l    +    +    -)
 (n  -    0    0    0    0    0    n    d    +    -    -)
 (nl -    0    0    0    0    0    n    d    +    +    -)
;; the retroflex nasal is replaced by the dental nasal in all but very formal styles except
;; when it occurs as a homoorganic nasal. The palatal and the velar nasal only occur as 
;; homorganic nasals.
 (N  -    0    0    0    0    0    n    r    +    -    -)
 (ny -    0    0    0    0    0    n    p    +    -    -)
 (ng -    0    0    0    0    0    n    v    +    -    -)
 (w  -    0    0    0    0    0    g    l    +    -    -)
 (wl -    0    0    0    0    0    g    l    +    +    -)
 (y  -    0    0    0    0    0    g    p    +    -    -)
;; these are mostly taps but can also occur slightly trilled
 (r  -    0    0    0    0    0    t    a    +    -    -)
 (rl -    0    0    0    0    0    t    a    +    +    -)
;; the retroflex flaps have limited distribution: they are in complementary distribution
;; with the corresponding retroflex stops word initially and intervocalically.
 (R  -    0    0    0    0    0    f    r    +    -    -)
 (Rh -    0    0    0    0    0    f    r    +    -    +)
 (l  -    0    0    0    0    0    l    a    +    -    -)
 (ll -    0    0    0    0    0    l    a    +    +    -)
;; I have also not included the aspirated forms of m, n, r and l to keep the phone list short 
;; but these are phonetically possible when in a Ch cluster. 
;; Also, in the festival document it is recommended that the high frequency clusters should 
;; also be included in this list but I have left these out because the list is in anycase long.
;(pau silence )

(#  -    0    0    0    0    0    0    0    0    0    0)
; silence
 (SIL  -    0    0    0    0    0    0    0    0    0    0)

(""  -    0    0    0    0    0    0    0    0    0    0)

(B_10  -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_20 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_30 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_40 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_50 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_100 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_150 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_200 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_250 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_300 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses
   (B_400 -    0    0    0    0    0    0    0    0    0    0)  ;; Pauses

  )
)

(PhoneSet.silences '(SIL))
(PhoneSet.silences '(#))

(define (hpl_hindi::select_phoneset)
  "(hpl_hindi::select_phoneset)
Set up phone set for HP_Hindi."
  (Parameter.set 'PhoneSet 'hpl_hindi)
  (PhoneSet.select 'hpl_hindi)
)

(define (hpl_hindi::reset_phoneset)
  "(hpl_hindi::reset_phoneset)
Reset phone set for HP_Hindi."
  t
)

(provide 'hpl_hindi_phoneset)
